# $Id: lyx.spec,v 1.21 2004/04/23 22:02:08 rexdieter Exp $

## handy macros
%{!?_applnkdir:%define _applnkdir %{_sysconfdir}/X11/applnk}
%{!?_icondir:%define _icondir %{_datadir}/pixmaps}

Summary: WYSIWYM (What You See Is What You Mean) document processor
Name:	 lyx
Version: 1.3.4
Epoch:	 0
Release: 0.fdr.6%{?dist_tag}.rh90
License: GPL (see http://www.lyx.org/about/license.php3) 
Group: 	 Applications/Publishing
Url: 	 http://www.lyx.org/
Source:	 ftp://ftp.lyx.org/pub/lyx/stable/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source1: lyx.desktop
Source2: lyx.png

BuildRequires: desktop-file-utils
BuildRequires: pspell-devel
# for convert (xpm -> png)
BuildRequires: ImageMagick
BuildRequires: libtool

# For texhash
Requires(post): tetex
Requires(postun): tetex

Requires: tetex-latex
Requires: mathml-fonts

BuildRequires: qt-devel >= 1:3.1
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}

# to workaround missing Requires in redhat's default qt-devel
# and to make fedora's buildsystem happy
BuildRequires: XFree86-devel
BuildRequires: libpng-devel zlib-devel libjpeg-devel

## gcc version in use? 
BuildRequires: gcc-c++
%define gcc_ver %(rpm -q --qf '%%{version}' gcc-c++ )
%if "%{gcc_ver}" == "2.96"
%define cxxflags -ftemplate-depth-44
%endif


%description
LyX is a modern approach to writing documents which breaks with the
obsolete "typewriter paradigm" of most other document preparation
systems.

It is designed for people who want professional quality output
with a minimum of time and effort, without becoming specialists in
typesetting.

The major innovation in LyX is WYSIWYM (What You See Is What You Mean).
That is, the author focuses on content, not on the details of formatting.
This allows for greater productivity, and leaves the final typesetting
to the backends (like LaTeX) that are specifically designed for the task.

With LyX, the author can concentrate on the contents of his writing,
and let the computer take care of the rest.


%prep

%setup -q


%build
unset LINGUAS ||: 
unset QTDIR ||: ; . /etc/profile.d/qt.sh

export CXXFLAGS="$RPM_OPT_FLAGS %{?cxxflags}"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --with-frontend=qt \
  --with-pspell

make %{_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

unset LINGUAS ||:

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

#
# Set up the lyx-specific class files where TeX can see them
#
TEXMF=%{_datadir}/texmf
mkdir -p ${RPM_BUILD_ROOT}${TEXMF}/tex/latex
mv ${RPM_BUILD_ROOT}%{_datadir}/lyx/tex \
      ${RPM_BUILD_ROOT}/${TEXMF}/tex/latex/lyx

# KDE has a buildin crystalsvg icon, but this is for gnome
install -m644 -D %{SOURCE2} $RPM_BUILD_ROOT%{_icondir}/lyx.png

%if "%{?desktop_file}" != "0"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "X-Fedora" \
   %{SOURCE1}
%else
install -p -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Applications/%{name}.desktop
%endif

%find_lang %{name}


%post
# Make TeX understand where LyX-specific packages are
texhash >& /dev/null ||:
# Now configure LyX
cd %{_datadir}/lyx && ./configure --srcdir >& /dev/null


%postun
# Fix the TeX file hash
texhash >& /dev/null ||:


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc ANNOUNCE ChangeLog lib/CREDITS NEWS README
%if "%{?desktop_file}" != "0"
%{_datadir}/applications/*.desktop
%else
%{_applnkdir}/*/*.desktop
%endif
%{_datadir}/pixmaps/*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}*
%{_datadir}/texmf/tex/latex/%{name}


%changelog 
* Fri Apr 30 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.6
- BR: libtool

* Fri Apr 23 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.5
- Group: Applications/Publishing
- BR: desktop-file-utils
- Requires(post,postun): tetex

* Sat Apr 10 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.4
- .desktop: separate file
- .desktop: drop 'Utility' category, add 'Qt'
- .desktop: Name: lyx -> LyX
- .desktop: Comment: lyx 1.3.4 -> WYSIWYM document processor
- convert icon xpm -> png

* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.3
- dynamically determine version for qt dependancy.

* Tue Mar 09 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.2
- add a few (mostly superfluous) BuildRequires to make fedora.us's
  buildsystem happy.

* Tue Mar 09 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.1
- Allow building/use for any qt >= 3.1

* Thu Feb 19 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.4-0.fdr.0
- 1.3.4
- Categories=Office

* Mon Nov 24 2003 Rex Dieter <rexdieter at sf.net> 0:1.3.3-0.fdr.3
- Requires: tetex-latex 
- support MimeType(s): application/x-lyx;text/x-lyx

* Sat Nov 22 2003 Rex Dieter <rexdieter at sf.net> 0:1.3.3-0.fdr.2
- let rpm auto-require qt.
- remove (optional) xforms support.
- Requires: latex-xft-fonts

* Mon Oct 06 2003 Rex Dieter <rexdieter at sf.net> 0:1.3.3-0.fdr.1
- 1.3.3
- update macros for Fedora Core.

* Mon May 12 2003 Rex Dieter <rexdieter at users.sf.net> 0:1.3.2-0.fdr.0
- 1.3.2
- fedora-ize.

* Tue Mar 25 2003 Rex Dieter <rexdieter at users.sf.net> 1.3.1-1.0
- 1.3.1 release.

* Fri Feb 21 2003 Rex Dieter <rexdieter at users.sf.net> 1.3.0-1.0
- yank kmenu

* Fri Feb 07 2003 Rex Dieter <rexdieter at users.sf.net> 1.3.0-0.0
- 1.3.0

